/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.databinding.jaxb.service;

import java.util.LinkedHashMap;
import java.util.Map;

import javax.xml.namespace.QName;

/**
 * @author Mohammed EL JAI - EBM WebSourcing
 */
public class Message {
	
	
	/** **/
	private Class<?> messageJaxbClass;
	
	/** **/
	private QName messageName;
	
	/** **/
	private QName messageTypeName;
	
	/** **/
	private Map<String, Class<?>> messageParts;
	
	
	public Message() {
		this.messageParts = new LinkedHashMap<String, Class<?>> ();
	}

	public Class<?> getMessageJaxbClass() {
		return messageJaxbClass;
	}

	public void setMessageJaxbClass(Class<?> jaxbClass) {
		this.messageJaxbClass = jaxbClass;
	}

	public QName getMessageName() {
		return messageName;
	}

	public void setMessageName(QName messageName) {
		this.messageName = messageName;
	}

	public Map<String, Class<?>> getMessageParts() {
		return messageParts;
	}

	public void setMessageParts(Map<String, Class<?>> messageParts) {
		this.messageParts = messageParts;
	}

    public void setMessageTypeName(QName messageTypeName) {
        this.messageTypeName = messageTypeName;
    }

    public QName getMessageTypeName() {
        return messageTypeName;
    }

}
